import request from '@/axios'

export const getMenuListApi = (title='') => {
  return request.get({ url: '/tenant/sysMenu/getMenuTreeListAll',params:{
    currentPage:1,
    pageSize:200,
    title
  } })
}
export const delMenuByIdApi = (id: number | string) => {
  return request.post({ url: '/tenant/sysMenu/deleteMenuById', params: { id } })
}
export const fixMenuByIdApi = (data: any) => {
  return request.post({
    url: '/tenant/sysMenu/updateMenuById',
    data: {
      sysMenu: {
        ...data
      },
      sysMenuExtraData: {
        menuId:data.id,
        ...data.extraData,

      }
    }
  });
};

export const addMenuApi = (data: any) => {
  return request.post({
    url: '/tenant/sysMenu/addMenu',
    data: {
      sysMenu: {
        ...data
      },
      sysMenuExtraData: {
        ...data.extraData,
      }
    }
  });
};
