import request from '@/axios'

export const getMenuListApi = () => {
  return request.get({ url: '/tenant/sysMenu/getMenuTreeListAll' })
}
export const delMenuByIdApi = (id: number | string) => {
  return request.post({ url: '/tenant/sysMenu/deleteMenuById', params: { id } })
}
export const fixMenuByIdApi = (data: any) => {
  const { extraData, ...sysMenuData } = data;
  return request.post({
    url: '/tenant/sysMenu/updateMenuById',
    data: {
      sysMenu: {
        ...sysMenuData
      },
      sysMenuExtraData: {
        ...extraData
      }
    }
  });
};

export const addMenuApi = (data: any) => {
  const { extraData, ...sysMenuData } = data;
  return request.post({
    url: '/tenant/sysMenu/addMenu',
    data: {
      sysMenu: {
        ...sysMenuData
      },
      sysMenuExtraData: {
        ...extraData
      }
    }
  });
};
